import React from 'react';

function Profile({children,sureFunc,showCompeleteDialog , completeProfile, className}) {

  function checkProfile() {
    if(!completeProfile){
      showCompeleteDialog && showCompeleteDialog();
    }else{
      sureFunc();
    }
  }

  return(
    <a className={className} onClick={checkProfile}>{children}</a>
  )
}
export default Profile;